Skip to main content
`Ctrl`+`K`

# PetscFVCreate

Creates an empty `PetscFV` object. The type can then be set with `PetscFVSetType()`.

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVCreate(MPI_Comm comm, PetscFV *fvm)

Collective

## Input Parameter

- comm - The communicator for the `PetscFV` object

## Output Parameter

- fvm - The `PetscFV` object

## See Also

`PetscFVSetUp()`, `PetscFVSetType()`, `PETSCFVUPWIND`, `PetscFVDestroy()`

## Level

beginner

## Location

src/dm/dt/fv/interface/fv.c

## Examples

src/dm/impls/plex/tutorials/ex3f90.F90
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex52.c
src/ts/tutorials/ex11_sa.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages